﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace TreeViewWithContextMenuWPF
{
    public class MyTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            if (item is CSFile && (item as CSFile).IsCodeBehindFile)
                return this.XAMLCSFileTemplate;
            else if (item is CSFile)
                return this.CSFileTemplate;
            else if (item is XAMLFile)
                return this.XAMLFileTemplate;
            else if (item is ProjectFile)
                return this.ProjectFileTemplate;
            else if (item is SolutionFile)
                return this.SolutionFileTemplate;

            return null;
        }

        public DataTemplate XAMLCSFileTemplate
        {
            get;
            set;
        }

        public DataTemplate CSFileTemplate
        {
            get;
            set;
        }

        public DataTemplate XAMLFileTemplate
        {
            get;
            set;
        }

        public DataTemplate ProjectFileTemplate
        {
            get;
            set;
        }

        public DataTemplate SolutionFileTemplate
        {
            get;
            set;
        }
    }
}
